<?php
/**
 * GLPI CVE Plugin - CVE Source Form
 */

include ("../../../inc/includes.php");

Session::checkRight("plugin_cve_source", READ);

$source = new PluginCveCveSource();

if (isset($_POST["add"])) {
   $source->check(-1, CREATE, $_POST);
   if ($source->add($_POST)) {
      Event::log(
         $source->fields['id'], 
         "plugin_cve_source", 
         4, 
         "setup",
         sprintf(__('%1$s adds the CVE source %2$s'), $_SESSION["glpiname"], $_POST["name"])
      );
   }
   Html::back();
} else if (isset($_POST["delete"])) {
   $source->check($_POST["id"], DELETE);
   if ($source->delete($_POST)) {
      Event::log(
         $_POST["id"], 
         "plugin_cve_source", 
         4, 
         "setup",
         sprintf(__('%1$s deletes the CVE source %2$s'), $_SESSION["glpiname"], $_POST["id"])
      );
   }
   $source->redirectToList();
} else if (isset($_POST["restore"])) {
   $source->check($_POST["id"], DELETE);
   if ($source->restore($_POST)) {
      Event::log(
         $_POST["id"], 
         "plugin_cve_source", 
         4, 
         "setup",
         sprintf(__('%1$s restores the CVE source %2$s'), $_SESSION["glpiname"], $_POST["id"])
      );
   }
   $source->redirectToList();
} else if (isset($_POST["purge"])) {
   $source->check($_POST["id"], PURGE);
   if ($source->delete($_POST, 1)) {
      Event::log(
         $_POST["id"], 
         "plugin_cve_source", 
         4, 
         "setup",
         sprintf(__('%1$s purges the CVE source %2$s'), $_SESSION["glpiname"], $_POST["id"])
      );
   }
   $source->redirectToList();
} else if (isset($_POST["update"])) {
   $source->check($_POST["id"], UPDATE);
   if ($source->update($_POST)) {
      Event::log(
         $_POST["id"], 
         "plugin_cve_source", 
         4, 
         "setup",
         sprintf(__('%1$s updates the CVE source %2$s'), $_SESSION["glpiname"], $_POST["id"])
      );
   }
   Html::back();
} else {
   Html::header(
      PluginCveCveSource::getTypeName(Session::getPluralNumber()),
      $_SERVER['PHP_SELF'],
      "tools",
      "PluginCveCveMenu",
      "cvesource"
   );
   
   $id = 0;
   if (isset($_GET["id"])) {
      $id = $_GET["id"];
   }
   
   $source->display(['id' => $id]);
   Html::footer();
}