export interface CVE {
  id: number;
  cve_id: string;
  description: string;
  cvss_score: number;
  cvss_vector: string;
  severity: 'LOW' | 'MEDIUM' | 'HIGH' | 'CRITICAL';
  published_date: string;
  modified_date: string;
  status: 'NEW' | 'ANALYZED' | 'ASSIGNED' | 'RESOLVED';
  references: string[];
  affected_products: string[];
  date_creation: string;
  date_mod: string;
}

export interface CVESource {
  id: number;
  name: string;
  url: string;
  api_key: string;
  source_type?: string;
  data_format?: string;
  is_active: boolean;
  sync_frequency: number;
  last_sync: string;
  sync_status: 'SUCCESS' | 'FAILED' | 'IN_PROGRESS' | 'PENDING';
}

export interface CVERule {
  id: number;
  name: string;
  criteria: any;
  actions: any;
  priority: number;
  is_active: boolean;
}

export interface CVETicket {
  id: number;
  cves_id: number;
  tickets_id: number;
  creation_type: 'AUTO' | 'MANUAL';
  date_creation: string;
}