#!/bin/bash
# Update PO files from POT template for GLPI CVE Plugin

# Define variables
POTFILE=plugin_cve.pot
BASEDIR=../locales

# For each PO file
for pofile in ${BASEDIR}/*.po; do
    # Get language code
    lang=$(basename "$pofile" .po)
    echo "Updating $lang..."
    
    # Update PO file from template
    msgmerge --update --no-fuzzy-matching --backup=off ${pofile} ${BASEDIR}/${POTFILE}
done

echo "PO files update completed"